Retrieve your wallet transactionsAsk AIget https://partner-api.monta.com/api/v1/wallet-transactionsRequired scope: wallet-transactions:read Organization authorization: supportedQuery Paramspageint32Defaults to 0page number to retrieve (starts with 0)perPageint32Defaults to 10number of items per page (between 1 and 100, default 10)operatorIdint32 | nullFilter to retrieve transactions for a given operator.*Note:*The operatorId must be in the consumer’s operatorIds or, if empty, belong to the organization’s sub-operators.Note: When not provided the default operator will be used for the given consumer, if the default operator cannot be assigned the request will be rejectedteamIdint32 | nullFilter to retrieve transactions for a given team.Note: When not provided the transactions for the operator will be returned insteadfromDatedate-time | nullFilter to retrieve transactions where createdAt >= fromDate (ISO8601: yyyy-MM-ddTHH:mm:ssZ)toDatedate-time | nullFilter to retrieve transactions where createdAt <= toDate (ISO8601: yyyy-MM-ddTHH:mm:ssZ)referenceIdstring | nullFilter to retrieve transactions by the matching referenceIdreferenceTypestring | nullenumFilter to retrieve transactions by the matching referenceTypeCHARGETEAMCOMPANY_REFERRALUSER_REFERRALORDERSUBSCRIPTION_PURCHASECHARGEBANK_ACCOUNTWALLET_BANK_ACCOUNTSTRIPE_CHARGESUBSCRIPTIONTRANSACTIONPROMO_CODE_USETEAM_MEMBER_FEE_PURCHASEWALLETPAYTER_PAYMENT_SESSIONADYEN_PAYMENTPOWER_BANK_PAYOUTOTHERShow 18 enum valuesstatestring | nullenumFilter to retrieve transactions by the matching statecompletecompletependingfailedreservedotherAllowed:completependingfailedreservedothergroupstring | nullenumFilter to retrieve transactions by the matching groupdepositdepositwithdrawchargeotherAllowed:depositwithdrawchargeotherpartnerExternalIdstring | null**Note: This has been deprecated and won't do anything moving forward.**Filter transactions by partnerExternalId, to filter only resources without partnerExternalId use partnerExternalId=""Responses 200List of wallet transactions that match the criteria 400The request is invalid 401Consumer with provided credentials was not found 403Operator doesn't have access to resource 404Entity with the provided id was not foundUpdated 7 months ago